Subject: [regext] Éric Vyncke's No Objection on draft-ietf-regext-rfc7482bis-02: (with COMMENT)

From: Éric Vyncke via Datatracker <[email-masked]>
Date: Thu, 18 Feb 2021 05:39:10 -0800

Éric Vyncke has entered the following ballot position for
draft-ietf-regext-rfc7482bis-02: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-regext-rfc7482bis/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thank you for the work put into this document. I found the document clear and
easy to read.

Please find below some non-blocking COMMENT points (but replies would be
appreciated), and some nits.

I hope that this helps to improve the document,

Regards,

-éric

== COMMENTS ==

-- Section 2 --
Please use BCP14 template (cfr RFC 8714).

-- Section 3.1.1 --
CIDR RFC 4632 only applies to IPv4... and also uses the words 'prefix length'
rather than 'bitmask length'.

"2001:db8::0" is not following the RFC 5952 that is RECOMMENDED just a couple
of paragraphs above ;-)

== NITS ==

Like Ben Kaduk, I wonder why using a 16-bit value for US-ASCII "('*', US-ASCII
value 0x002A)"...

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 18 Feb 2021 15:54:19 +0000

> -----Original Message-----
> From: Éric Vyncke via Datatracker <[email-masked]>
> Sent: Thursday, February 18, 2021 8:39 AM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; [email-masked];
> [email-masked]; Mario Loffredo <[email-masked]>;
> [email-masked]
> Subject: [EXTERNAL] Éric Vyncke's No Objection on draft-ietf-regext-
> rfc7482bis-02: (with COMMENT)
> 
> Caution: This email originated from outside the organization. Do not click links
> or open attachments unless you recognize the sender and know the content
> is safe.
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)

[SAH] [snip]

> Thank you for the work put into this document. I found the document clear
> and easy to read.
> 
> Please find below some non-blocking COMMENT points (but replies would
> be appreciated), and some nits.
> 

[SAH] Will fix.

> rather than 'bitmask length'.

[SAH] Do you know of an appropriate reference for IPv6? I can change "bitmask length" to "prefix length".

> "2001:db8::0" is not following the RFC 5952 that is RECOMMENDED just a
> couple of paragraphs above ;-)

[SAH] Please explain. What's needed for a fix?

> Like Ben Kaduk, I wonder why using a 16-bit value for US-ASCII "('*', US-ASCII

[SAH] Will fix.

Scott

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 18 Feb 2021 16:49:33 +0000

Scott

Thank you for your reply, look below for EV>

-----Original Message-----
From: "Hollenbeck, Scott" <[email-masked]>
Date: Thursday, 18 February 2021 at 16:54
To: Eric Vyncke <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE:  Éric Vyncke's No Objection on draft-ietf-regext-rfc7482bis-02: (with COMMENT)

    [SAH] [snip]

    [SAH] Will fix.

EV> let's use indeed 'prefix length" as it is also used in RFC 4632

EV> simply use "2001:db8::" ;-)

    [SAH] Will fix.

    Scott